MeduxMedux

Video > Logo Removal

Logo Removal

Remove a logo from a video using one or more logo references and motion mode.

POST/api/app/v1/process/video/video_logo_removal

Examples

curl -X POST https://api.medux.io/api/app/v1/process/video/video_logo_removal \
  -H 'Authorization: Bearer $MEDUX_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{"input_video_file_id":"FILE_ID","logo_type":"default","model_id":"video-logo-removal-default"}'

Auth Requirements

Authentication is required via Authorization header.

Preconditions

Upload the source file and create a file reference before calling this endpoint.

Successful requests return a Medux task record immediately. Use the task query or sync endpoints to track completion.

All file inputs must be uploaded and persisted as file references before submission.

Request

Body

application/json
Authorizationstringrequired

Bearer token or API key.

Location: HEADER

input_video_file_idstringrequired

Input video file_id.

Location: BODY

logo_file_idarray<string>optional

One logo image file_id or a list of logo image file_ids used to build the logo mask session.

Location: BODY

video_sizeobjectoptional

Optional original video size hint as [width, height].

Location: BODY

logo_typestringoptional

Logo motion mode for mask generation. Default: default.

Available options: default tiktok heygen veo keling instagram luma pika snapchat pixverse

Location: BODY

model_idstringoptional

Video logo removal model id. Default: video-logo-removal-default.

Location: BODY

titlestringoptional

Optional task title.

Location: BODY

Response

Response

application/json
codeint32optional

response code enums:
.. 0: ok
.. 12: invalid input
.. 1410: invalid model
.. 1409: paid plan required
.. 1401: insufficient credits
.... 1401 ~ 1499 是 media
.. 1404: provider error
.. 1405: provider timeout
.. 13: unauthenticated
.. 16: rate limit
.. 99: server error

Available options: 0 12 1410 1409 1401 1404 1405 13 16 99

Location: RESPONSE

data.assetobjectoptional

No description provided.

Location: RESPONSE

data.paid_plan_requiredobjectoptional

No description provided.

Location: RESPONSE

data.taskobjectoptional

No description provided.

Location: RESPONSE

messagestringoptional

No description provided.

Available options: ok invalid input invalid model paid plan required insufficient credits provider error provider timeout unauthenticated rate limit server error

Location: RESPONSE

MCP Tool

This endpoint is also available through the Medux-hosted remote MCP service.

Logo Removal

Remove a logo from a video using one or more logo references and motion mode.

Invocation Example

Remove a logo from a video using one or more logo references and motion mode.